# Interface FunctionExternalValue

An external function pointer value; see [[FunctionExternalValueInfo]] for more detail

#### Category

Function types

#### Hierarchy

- FunctionExternalValue

- Defined in codec/lib/format/values.ts:448

#####
Index

### Properties

interpretations
kind
type
value

## Properties

### interpretations

interpretations: {
contractEnsName?: StringValueInfo;
}

#### Type declaration

- ##### `Optional` contractEnsName?: StringValueInfo

- Defined in codec/lib/format/values.ts:452

### kind

kind: "value"

- Defined in codec/lib/format/values.ts:450

### type

type: FunctionExternalType

- Defined in codec/lib/format/values.ts:449

### value

value: FunctionExternalValueInfo

- Defined in codec/lib/format/values.ts:451

Generated using TypeDoc